// MAM - The Modeling and Animation Machine 
// VRS - The Virtual Rendering System 
// Copyright (c) 1994-96 Juergen Doellner
// Institut fuer Informatik, Westfaelische Wilhelms Universitaet Muenster 
// See the LICENSE file in this distribution.
#ifndef VRS_RSHAPE_H
#define VRS_RSHAPE_H

#include "base/vector.h"
#include "vrs/renderobj.h"
#include "vrs/rvolume.h"

//- RShape
class RShape : public RenderObj {
//. Abstract base class for VRS shapes.
protected:
    RShape();
public:
    virtual ~RShape();

    //- boundingBox
    virtual RVolume boundingBox() const = 0;
	//. Shapes define their bounding box in model coordinates.

    RTTI 
};

#endif
